summaryrefslogtreecommitdiff
path: root/tests/soname.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/soname.sh')
-rwxr-xr-xtests/soname.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/soname.sh b/tests/soname.sh
new file mode 100755
index 0000000..4a8fb96
--- /dev/null
+++ b/tests/soname.sh
@@ -0,0 +1,30 @@
+#! /bin/sh -e
+SCRATCH=scratch/$(basename $0 .sh)
+
+rm -rf ${SCRATCH}
+mkdir -p ${SCRATCH}
+
+cp libsimple.so ${SCRATCH}/
+
+# set an initial DT_SONAME entry
+../src/patchelf --set-soname libsimple.so.1.0 ${SCRATCH}/libsimple.so
+newSoname=$(../src/patchelf --print-soname ${SCRATCH}/libsimple.so)
+if test "$newSoname" != libsimple.so.1.0; then
+ echo "failed --set-soname test. Expected newSoname: libsimple.so.1.0, got: $newSoname"
+ exit 1
+fi
+
+# print DT_SONAME
+soname=$(../src/patchelf --print-soname ${SCRATCH}/libsimple.so)
+if test "$soname" != libsimple.so.1.0; then
+ echo "failed --print-soname test. Expected soname: libsimple.so.1.0, got: $soname"
+ exit 1
+fi
+
+# replace DT_SONAME entry
+../src/patchelf --set-soname libsimple.so.1.1 ${SCRATCH}/libsimple.so
+newSoname=$(../src/patchelf --print-soname ${SCRATCH}/libsimple.so)
+if test "$newSoname" != libsimple.so.1.1; then
+ echo "failed --set-soname test. Expected newSoname: libsimple.so.1.1, got: $newSoname"
+ exit 1
+fi